curl --request GET \
--url https://api.kajabi.com/v1/form_submissions \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "<string>",
"attributes": {
"name": "<string>",
"email": "<string>",
"phone_number": "<string>",
"business_number": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_city": "<string>",
"address_state": "<string>",
"address_country": "<string>",
"address_zip": "<string>",
"custom_1": "<string>",
"custom_2": "<string>",
"custom_3": "<string>"
},
"relationships": {
"site": {
"data": {
"id": "<string>",
"type": "<string>"
}
},
"form": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
}
}
],
"links": {
"self": "<string>",
"current": "<string>"
}
}Form submissions for authorized sites
Use page[number] and page[size] parameters to paginate results:
GET /v1/form_submissions?page[number]=1&page[size]=10GET /v1/form_submissions?page[number]=2&page[size]=25The response includes pagination links and meta data:
{
"links": {
"self": "https://api.kajabi.com/v1/form_submissions?page[number]=2&page[size]=10",
"first": "https://api.kajabi.com/v1/form_submissions?page[number]=1&page[size]=10",
"prev": "https://api.kajabi.com/v1/form_submissions?page[number]=1&page[size]=10",
"next": "https://api.kajabi.com/v1/form_submissions?page[number]=3&page[size]=10",
"last": "https://api.kajabi.com/v1/form_submissions?page[number]=5&page[size]=10"
},
"meta": {
"total_pages": 5,
"total_count": 50,
"current_page": 2
}
}
Use filter parameters to narrow down results:
GET /v1/form_submissions?filter[site_id]=123GET /v1/form_submissions?filter[form_id]=456Use the sort parameter to sort results:
GET /v1/form_submissions?sort=created_atGET /v1/form_submissions?sort=namecurl --request GET \
--url https://api.kajabi.com/v1/form_submissions \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "<string>",
"attributes": {
"name": "<string>",
"email": "<string>",
"phone_number": "<string>",
"business_number": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_city": "<string>",
"address_state": "<string>",
"address_country": "<string>",
"address_zip": "<string>",
"custom_1": "<string>",
"custom_2": "<string>",
"custom_3": "<string>"
},
"relationships": {
"site": {
"data": {
"id": "<string>",
"type": "<string>"
}
},
"form": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
}
}
],
"links": {
"self": "<string>",
"current": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Sort order, use: name, email, created_at. For descending order use '-' e.g. &sort=-name
Number of documents
Filter by site ID, example: filter[site_id]=123
Filter by form ID, example: filter[form_id]=456
Was this page helpful?